Class LegacySfuRequest
Body of the legacy POST /sfu/get: a token for the room's call.
Inherited Members
Namespace: Uniform.LiveKit.Protocol
Assembly: Uniform.LiveKit.Protocol.dll
Syntax
public sealed record LegacySfuRequest : DelayedLeave, IEquatable<DelayedLeave>, IEquatable<LegacySfuRequest>
Properties
| Edit this page View SourceDeviceId
The user's device.
Declaration
[JsonPropertyName("device_id")]
public string? DeviceId { get; init; }
Property Value
| Type | Description |
|---|---|
| string |
OpenIdToken
The user's OpenID token.
Declaration
[JsonPropertyName("openid_token")]
public OpenIdToken? OpenIdToken { get; init; }
Property Value
| Type | Description |
|---|---|
| OpenIdToken |
Room
The Matrix room.
Declaration
[JsonPropertyName("room")]
public string? Room { get; init; }
Property Value
| Type | Description |
|---|---|
| string |